;; Packages
(require 'package)
(setq package-archives '(("gnu" . "https://elpa.gnu.org/packages/")
                         ("melpa" . "https://melpa.org/packages/")))
(package-initialize)

;; File inclusion
(defun    path (f)    (concat "/home/deppy/.emacs.d/" f))
(defmacro include (f) (load (path f)))

;; Keybinds
(include "binds.el")

;; Style (theme, etc)
(include "style.el")

;; Zotero
(include "packages.el")

;; Secrets
(include "secrets.el")

;; Behaviour
(include "behaviour.el")

;; Emacs server
(server-start)

;; Exwm
(include "exwm.el")

;; Don't touch
(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(elcord-display-buffer-details nil)
 '(elcord-mode t nil (elcord))
 '(elcord-quiet t)
 '(elcord-use-major-mode-as-main-icon t)
 '(evil-undo-system 'undo-tree)
 '(org-agenda-files '("/home/deppy/doc/org/todo.org"))
 '(package-selected-packages
   '(exwm elcord org-superstar org-fragtog org-pretty-tags visual-fill writeroom-mode haskell-emacs treemacs-evil treemacs solarized-theme doom-modeline all-the-icons-dired page-break-lines all-the-icons dashboard org-evil zotero vterm magit undo-fu latex-math-preview use-package haskell-mode evil-surround undo-tree evil-org evil))
 '(warning-suppress-log-types '((comp)))
 '(warning-suppress-types '((comp)))
 '(writeroom-mode-line t)
 '(writeroom-width 100)
 '(zotero-recognize-pdfdata
   "/home/deppy/.emacs.d/elpa/zotero-20211008.2207/pdftools/poppler-data/")
 '(zotero-recognize-pdfinfo
   "/home/deppy/.emacs.d/elpa/zotero-20211008.2207/pdftools/pdfinfo-linux-x86_64" t)
 '(zotero-recognize-pdftotext
   "/home/deppy/.emacs.d/elpa/zotero-20211008.2207/pdftools/pdftotext-linux-x86_64"))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(bookmark-face ((t (:foreground "#fdf6e3"))))
 '(mode-line ((t (:underline nil :overline nil))))
 '(mode-line-inactive ((t (:underline nil :overline nil)))))
